with jre1.6 but idb install scripts said no compatible jre found

with jre1.6 but idb install scripts said no compatible jre found

i use the uname command to check my system, and it is athlon i686,
uname -ai
Linux localhost.localdomain 2.6.18-8.el5 #1 SMP Fri Jan 26 14:15:21 EST 2007 i686 athlon i386 GNU/Linux

i go to java.com and download jre-6u21-linux-i586-rpm.bin.
Then i install the jre on my system at the default location.
i check wheather java is installed:
which java
/usr/java/jre1.6.0_21/bin/java

and check version of java
java -version
java version "1.6.0_21"
Java SE Runtime Environment (build 1.6.0_21-b06)
Java HotSpot Server VM (build 17.0-b16, mixed mode)

But when i install the intel debugger for linux, it said
Missing optional pre-requisite
-- No compatible Java* Runtime Environment (JRE) found

I donot know why i hava jre on my system, but the install scripts miss it.

Thank you!

3 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

You probably have a version of the installer which looks only at /usr/bin/java to see if it is recognized for idb. Certain recent distros have required root to remove /usr/bin/java and replace it with a symlink to the qualifying jre. The Sun JRE installation should set up this symlink automatically, unless there is already a conflict directory entry. You can fix it manually, or remove the symlink and repeat the JRE installation.
Also, some recent ifort installers have recognized only a single sub-version of JRE, a problem which I hope has been fixed in latest releases. In that case, you can ignore the warning about failure to recognize the version and proceed with installation, even though it falsely claims it will not be supported.

thank you.
i'll try your method to see wheather it works.

Leave a Comment

Please sign in to add a comment. Not a member? Join today